Subject: Re: [Idr] IETF 73

From: Yakov Rekhter <[email-masked]>
Date: Mon, 17 Nov 2008 11:50:03 -0800

Paul,

> The sense in which they are not orthogonal is this.  IACs are only useful
> insofar that upstream ASes have a choice of path.  Of course, with BGP it
> often so happens that upstream ASes have choices, but once any AS makes a
> choice, it limits the number of choices it presents to its upstream.  If you
> have tunnels, then more choices are presented upstream, and there should
> therefore me more opportunities to make selections.  The mapped-bgp spec
> offers even more choices than the tunnel-endpoints draft.
> 
> So basically my point is that if you are prepared to modify BGP to improve
> load balancing, you ought to consider the additional improvements the tunnels
> can afford you. 
> 
> As for the tunnel-endpoint draft being more appropriate for RRG, this is
> feedback I'd like to get.  Narrowly viewed, the tunnel-endpoint draft is
> something that improves the performance of (intra-domain) VA, which is
> already work that is being done in IDR (and was explicitly turned away by
> RRG).  

Just to get the record straight, currently VA is *not* a work item 
for IDR WG. That is, currently IDR WG does *not* work on VA.

> Broadly viewed, the tunnel-endpoint draft has wider scope, which
> Raszuk pointed out, and this needs to be discussed in IDR.

Yakov.
_______________________________________________
Idr mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/idr

---

From: Paul Francis <[email-masked]>
Date: Mon, 17 Nov 2008 17:52:49 -0500

my mistake...

PF

> -----Original Message-----
> From: Yakov Rekhter [mailto:[email-masked]] 
> Sent: Monday, November 17, 2008 2:50 PM
> To: Paul Francis
> Cc: [email-masked]
> Subject: Re: [Idr] IETF 73 
> 
> Paul,
> 
> > The sense in which they are not orthogonal is this.  IACs are only 
> > useful insofar that upstream ASes have a choice of path.  
> Of course, 
> > with BGP it often so happens that upstream ASes have 
> choices, but once 
> > any AS makes a choice, it limits the number of choices it 
> presents to 
> > its upstream.  If you have tunnels, then more choices are presented 
> > upstream, and there should therefore me more opportunities to make 
> > selections.  The mapped-bgp spec offers even more choices 
> than the tunnel-endpoints draft.
> > 
> > So basically my point is that if you are prepared to modify BGP to 
> > improve load balancing, you ought to consider the additional 
> > improvements the tunnels can afford you.
> > 
> > As for the tunnel-endpoint draft being more appropriate for 
> RRG, this 
> > is feedback I'd like to get.  Narrowly viewed, the tunnel-endpoint 
> > draft is something that improves the performance of 
> (intra-domain) VA, 
> > which is already work that is being done in IDR (and was explicitly 
> > turned away by RRG).
> 
> Just to get the record straight, currently VA is *not* a work 
> item for IDR WG. That is, currently IDR WG does *not* work on VA.
>